Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.fop.fonts.type1
Enum AdobeStandardEncoding

    java.lang.Object
      java.lang.Enum<AdobeStandardEncoding>
          org.apache.fop.fonts.type1.AdobeStandardEncoding

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AdobeStandardEncoding>

    public enum AdobeStandardEncoding

extends java.lang.Enum<AdobeStandardEncoding>

Enumerates the http://unicode.org/Public/MAPPINGS/VENDORS/ADOBE/stdenc.txt for characters found in a Type1 font.

Enum Constant Summary
`a` a character
`A` A character
`acute` acute accent character
`ae` ae (small) character
`AE` AE (capitalised) character
`ampersand` ampersand character
`asciicircum` circumflex character
`asciitilde` tilde character
`asterisk` asterisk character
`at` at character
`b` b character
`B` B character
`backslash` back slash character
`bar` vertical line character
`braceleft` left curly bracket character
`braceright` right curly bracket character
`bracketleft` left bracket character
`bracketright` bracket right character
`breve` breve character
`bullet` bullet character
`c` c character
`C` C character
`caron` caron character
`cedilla` cedilla character
`cent` cent character
`circumflex` modifier letter circumflex accent character
`colon` colon character
`comma` comma character
`currency` currency sign character
`d` d character
`D` D character
`dagger` dagger character
`daggerdbl` double dagger character
`dieresis` diaeresis character
`dollar` dollar character
`dotaccent` dot above character
`dotlessi` dotless i character
`e` e character
`E` E character
`eight` eight character
`ellipsis` horizontal ellipsis character
`emdash` emdash character
`endash` en-dash character
`equal` equal character
`exclam` exclamation mark
`exclamdown` inverted exclamation mark
`f` f character
`F` F character
`fi` fi ligature
`five` five character
`fl` fl ligature
`florin` florin character
`four` four character
`fraction` fraction slash character
`fraction_division_slash` division slash character
`g` g character
`G` G character
`germandbls` small letter sharp s character
`grave` grave accent character
`greater` greater character
`guillemotleft` left-pointing double angle quotation mark
`guillemotright` right-pointing double angle quotation mark
`guilsinglleft` left-pointing single quotation mark
`guilsinglright` right-pointing single quotation mark
`h` h character
`H` H character
`hungarumlaut` double acute accent character
`hyphen` hyphen-minus character
`hyphen_soft` soft-hyphen character
`i` i character
`I` I character
`j` j character
`J` J character
`k` k character
`K` K character
`l` l character
`L` L character
`less` less character
`lslash` small letter l with stroke character
`Lslash` capital letter L with stroke character
`m` m character
`M` M character
`macron` macron character
`macron_modifier_letter` modifier letter macron character
`n` n character
`N` N character
`nine` nine character
`numersign` number sign
`o` o character
`O` O character
`oe` oe (small) character
`OE` OE (capitalised) character
`ogonek` agonek character
`one` one character
`ordfeminine` femenine ordinal indicator character
`ordmasculine` masculine ordinal indicator character
`oslash` small letter o with stroke character
`Oslash` capital letter O with stroke character
`p` p character
`P` P character
`paragraph` paragraph character
`parenleft` left parenthesis character
`parenright` right parenthesis character
`percent` percent character
`period` period character
`periodcentered` centered period character
`periodcentered_bullet_operator` centered period character
`perthousand` per-mille character
`plus` plus sign
`q` q character
`Q` Q character
`question` question character
`questiondown` inverted question mark
`quotedbl` quotation mark
`quotedblbase` double low-9 quotation mark
`quotedblleft` double left quotation mark
`quotedblright` right double quotation mark
`quoteleft` left single quotation character
`quoteright` right single quotation mark
`quotesinglbase` single low-9 quotation mark
`quotesingle` apostrophe character
`r` r character
`R` R character
`ring` ring above character
`s` s character
`S` S character
`section` section sign character
`semicolon` semi-colon character
`seven` seven character
`six` six character
`slash` slash character
`space` space character
`space_nobreak` space character
`sterling` sterling character
`t` t character
`T` T character
`three` three character
`tilde` small tilde character
`two` two character
`u` u character
`U` U character
`underscore` under score character
`v` v character
`V` V character
`w` w character
`W` W character
`x` x character
`X` X character
`y` y character
`Y` Y character
`yen` yen character
`z` z character
`Z` Z character
`zero` zero character

Field Summary
`static java.lang.String` | `NAME` The name of the Adobe Standard Encoding as seen in an AFM file.

Method Summary
`static int` | `getAdobeCodePoint(java.lang.String adobeName)` Returns the code point of a Adobe standard encoded character given its name.
`static java.lang.String` | `getCharFromCodePoint(int codePoint)`
`static AdobeStandardEncoding` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AdobeStandardEncoding[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### space

    public static final AdobeStandardEncoding space

  space character

### space_nobreak

    public static final AdobeStandardEncoding space_nobreak

  space character

### exclam

    public static final AdobeStandardEncoding exclam

  exclamation mark

### quotedbl

    public static final AdobeStandardEncoding quotedbl

  quotation mark

### numersign

    public static final AdobeStandardEncoding numersign

  number sign

### dollar

    public static final AdobeStandardEncoding dollar

  dollar character

### percent

    public static final AdobeStandardEncoding percent

  percent character

### ampersand

    public static final AdobeStandardEncoding ampersand

  ampersand character

### quoteright

    public static final AdobeStandardEncoding quoteright

  right single quotation mark

### parenleft

    public static final AdobeStandardEncoding parenleft

  left parenthesis character

### parenright

    public static final AdobeStandardEncoding parenright

  right parenthesis character

### asterisk

    public static final AdobeStandardEncoding asterisk

  asterisk character

### plus

    public static final AdobeStandardEncoding plus

  plus sign

### comma

    public static final AdobeStandardEncoding comma

  comma character

### hyphen

    public static final AdobeStandardEncoding hyphen

  hyphen-minus character

### hyphen_soft

    public static final AdobeStandardEncoding hyphen_soft

  soft-hyphen character

### period

    public static final AdobeStandardEncoding period

  period character

### slash

    public static final AdobeStandardEncoding slash

  slash character

### zero

    public static final AdobeStandardEncoding zero

  zero character

### one

    public static final AdobeStandardEncoding one

  one character

### two

    public static final AdobeStandardEncoding two

  two character

### three

    public static final AdobeStandardEncoding three

  three character

### four

    public static final AdobeStandardEncoding four

  four character

### five

    public static final AdobeStandardEncoding five

  five character

### six

    public static final AdobeStandardEncoding six

  six character

### seven

    public static final AdobeStandardEncoding seven

  seven character

### eight

    public static final AdobeStandardEncoding eight

  eight character

### nine

    public static final AdobeStandardEncoding nine

  nine character

### colon

    public static final AdobeStandardEncoding colon

  colon character

### semicolon

    public static final AdobeStandardEncoding semicolon

  semi-colon character

### less

    public static final AdobeStandardEncoding less

  less character

### equal

    public static final AdobeStandardEncoding equal

  equal character

### greater

    public static final AdobeStandardEncoding greater

  greater character

### question

    public static final AdobeStandardEncoding question

  question character

### at

    public static final AdobeStandardEncoding at

  at character

### A

    public static final AdobeStandardEncoding A

  A character

### B

    public static final AdobeStandardEncoding B

  B character

### C

    public static final AdobeStandardEncoding C

  C character

### D

    public static final AdobeStandardEncoding D

  D character

### E

    public static final AdobeStandardEncoding E

  E character

### F

    public static final AdobeStandardEncoding F

  F character

### G

    public static final AdobeStandardEncoding G

  G character

### H

    public static final AdobeStandardEncoding H

  H character

### I

    public static final AdobeStandardEncoding I

  I character

### J

    public static final AdobeStandardEncoding J

  J character

### K

    public static final AdobeStandardEncoding K

  K character

### L

    public static final AdobeStandardEncoding L

  L character

### M

    public static final AdobeStandardEncoding M

  M character

### N

    public static final AdobeStandardEncoding N

  N character

### O

    public static final AdobeStandardEncoding O

  O character

### P

    public static final AdobeStandardEncoding P

  P character

### Q

    public static final AdobeStandardEncoding Q

  Q character

### R

    public static final AdobeStandardEncoding R

  R character

### S

    public static final AdobeStandardEncoding S

  S character

### T

    public static final AdobeStandardEncoding T

  T character

### U

    public static final AdobeStandardEncoding U

  U character

### V

    public static final AdobeStandardEncoding V

  V character

### W

    public static final AdobeStandardEncoding W

  W character

### X

    public static final AdobeStandardEncoding X

  X character

### Y

    public static final AdobeStandardEncoding Y

  Y character

### Z

    public static final AdobeStandardEncoding Z

  Z character

### bracketleft

    public static final AdobeStandardEncoding bracketleft

  left bracket character

### backslash

    public static final AdobeStandardEncoding backslash

  back slash character

### bracketright

    public static final AdobeStandardEncoding bracketright

  bracket right character

### asciicircum

    public static final AdobeStandardEncoding asciicircum

  circumflex character

### underscore

    public static final AdobeStandardEncoding underscore

  under score character

### quoteleft

    public static final AdobeStandardEncoding quoteleft

  left single quotation character

### a

    public static final AdobeStandardEncoding a

  a character

### b

    public static final AdobeStandardEncoding b

  b character

### c

    public static final AdobeStandardEncoding c

  c character

### d

    public static final AdobeStandardEncoding d

  d character

### e

    public static final AdobeStandardEncoding e

  e character

### f

    public static final AdobeStandardEncoding f

  f character

### g

    public static final AdobeStandardEncoding g

  g character

### h

    public static final AdobeStandardEncoding h

  h character

### i

    public static final AdobeStandardEncoding i

  i character

### j

    public static final AdobeStandardEncoding j

  j character

### k

    public static final AdobeStandardEncoding k

  k character

### l

    public static final AdobeStandardEncoding l

  l character

### m

    public static final AdobeStandardEncoding m

  m character

### n

    public static final AdobeStandardEncoding n

  n character

### o

    public static final AdobeStandardEncoding o

  o character

### p

    public static final AdobeStandardEncoding p

  p character

### q

    public static final AdobeStandardEncoding q

  q character

### r

    public static final AdobeStandardEncoding r

  r character

### s

    public static final AdobeStandardEncoding s

  s character

### t

    public static final AdobeStandardEncoding t

  t character

### u

    public static final AdobeStandardEncoding u

  u character

### v

    public static final AdobeStandardEncoding v

  v character

### w

    public static final AdobeStandardEncoding w

  w character

### x

    public static final AdobeStandardEncoding x

  x character

### y

    public static final AdobeStandardEncoding y

  y character

### z

    public static final AdobeStandardEncoding z

  z character

### braceleft

    public static final AdobeStandardEncoding braceleft

  left curly bracket character

### bar

    public static final AdobeStandardEncoding bar

  vertical line character

### braceright

    public static final AdobeStandardEncoding braceright

  right curly bracket character

### asciitilde

    public static final AdobeStandardEncoding asciitilde

  tilde character

### exclamdown

    public static final AdobeStandardEncoding exclamdown

  inverted exclamation mark

### cent

    public static final AdobeStandardEncoding cent

  cent character

### sterling

    public static final AdobeStandardEncoding sterling

  sterling character

### fraction

    public static final AdobeStandardEncoding fraction

  fraction slash character

### fraction_division_slash

    public static final AdobeStandardEncoding fraction_division_slash

  division slash character

### yen

    public static final AdobeStandardEncoding yen

  yen character

### florin

    public static final AdobeStandardEncoding florin

  florin character

### section

    public static final AdobeStandardEncoding section

  section sign character

### currency

    public static final AdobeStandardEncoding currency

  currency sign character

### quotesingle

    public static final AdobeStandardEncoding quotesingle

  apostrophe character

### quotedblleft

    public static final AdobeStandardEncoding quotedblleft

  double left quotation mark

### guillemotleft

    public static final AdobeStandardEncoding guillemotleft

  left-pointing double angle quotation mark

### guilsinglleft

    public static final AdobeStandardEncoding guilsinglleft

  left-pointing single quotation mark

### guilsinglright

    public static final AdobeStandardEncoding guilsinglright

  right-pointing single quotation mark

### fi

    public static final AdobeStandardEncoding fi

  fi ligature

### fl

    public static final AdobeStandardEncoding fl

  fl ligature

### endash

    public static final AdobeStandardEncoding endash

  en-dash character

### dagger

    public static final AdobeStandardEncoding dagger

  dagger character

### daggerdbl

    public static final AdobeStandardEncoding daggerdbl

  double dagger character

### periodcentered

    public static final AdobeStandardEncoding periodcentered

  centered period character

### periodcentered_bullet_operator

    public static final AdobeStandardEncoding periodcentered_bullet_operator

  centered period character

### paragraph

    public static final AdobeStandardEncoding paragraph

  paragraph character

### bullet

    public static final AdobeStandardEncoding bullet

  bullet character

### quotesinglbase

    public static final AdobeStandardEncoding quotesinglbase

  single low-9 quotation mark

### quotedblbase

    public static final AdobeStandardEncoding quotedblbase

  double low-9 quotation mark

### quotedblright

    public static final AdobeStandardEncoding quotedblright

  right double quotation mark

### guillemotright

    public static final AdobeStandardEncoding guillemotright

  right-pointing double angle quotation mark

### ellipsis

    public static final AdobeStandardEncoding ellipsis

  horizontal ellipsis character

### perthousand

    public static final AdobeStandardEncoding perthousand

  per-mille character

### questiondown

    public static final AdobeStandardEncoding questiondown

  inverted question mark

### grave

    public static final AdobeStandardEncoding grave

  grave accent character

### acute

    public static final AdobeStandardEncoding acute

  acute accent character

### circumflex

    public static final AdobeStandardEncoding circumflex

  modifier letter circumflex accent character

### tilde

    public static final AdobeStandardEncoding tilde

  small tilde character

### macron

    public static final AdobeStandardEncoding macron

  macron character

### macron_modifier_letter

    public static final AdobeStandardEncoding macron_modifier_letter

  modifier letter macron character

### breve

    public static final AdobeStandardEncoding breve

  breve character

### dotaccent

    public static final AdobeStandardEncoding dotaccent

  dot above character

### dieresis

    public static final AdobeStandardEncoding dieresis

  diaeresis character

### ring

    public static final AdobeStandardEncoding ring

  ring above character

### cedilla

    public static final AdobeStandardEncoding cedilla

  cedilla character

### hungarumlaut

    public static final AdobeStandardEncoding hungarumlaut

  double acute accent character

### ogonek

    public static final AdobeStandardEncoding ogonek

  agonek character

### caron

    public static final AdobeStandardEncoding caron

  caron character

### emdash

    public static final AdobeStandardEncoding emdash

  emdash character

### AE

    public static final AdobeStandardEncoding AE

  AE (capitalised) character

### ordfeminine

    public static final AdobeStandardEncoding ordfeminine

  femenine ordinal indicator character

### Lslash

    public static final AdobeStandardEncoding Lslash

  capital letter L with stroke character

### Oslash

    public static final AdobeStandardEncoding Oslash

  capital letter O with stroke character

### OE

    public static final AdobeStandardEncoding OE

  OE (capitalised) character

### ordmasculine

    public static final AdobeStandardEncoding ordmasculine

  masculine ordinal indicator character

### ae

    public static final AdobeStandardEncoding ae

  ae (small) character

### dotlessi

    public static final AdobeStandardEncoding dotlessi

  dotless i character

### lslash

    public static final AdobeStandardEncoding lslash

  small letter l with stroke character

### oslash

    public static final AdobeStandardEncoding oslash

  small letter o with stroke character

### oe

    public static final AdobeStandardEncoding oe

  oe (small) character

### germandbls

    public static final AdobeStandardEncoding germandbls

  small letter sharp s character

Field Detail

### NAME

    public static final java.lang.String NAME

  The name of the Adobe Standard Encoding as seen in an AFM file.

  See Also:
    Constant Field Values

Method Detail

### values

    public static AdobeStandardEncoding[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AdobeStandardEncoding c : AdobeStandardEncoding.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AdobeStandardEncoding valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getAdobeCodePoint

    public static int getAdobeCodePoint(java.lang.String adobeName)

  Returns the code point of a Adobe standard encoded character given its name. If the name cannot be found, -1 is returned.

  Parameters:
    `adobeName` - the name of the character
  Returns:
    the Adobe code point

### getCharFromCodePoint

    public static java.lang.String getCharFromCodePoint(int codePoint)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.